For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a record

Updates or creates a DNS record for the provided record ID.

put
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

recordIdstring · uuidRequired

The ID (UUID) of the DNS record.

Body
Responses
202

Successful operation.

application/json
idstring · uuidRead-onlyRequired

The record ID (UUID).

Example: 90d81ac0-3a30-44d4-95a5-12959effa6ee
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
put/zones/{zoneId}/records/{recordId}
PUT /zones/{zoneId}/records/{recordId} HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "properties": {
    "name": "app",
    "type": "A",
    "content": "1.2.3.4",
    "ttl": 3600,
    "priority": 3600,
    "enabled": true
  }
}
{
  "id": "90d81ac0-3a30-44d4-95a5-12959effa6ee",
  "type": "record",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "createdDate": "2022-08-21T15:52:53Z",
    "createdBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2022-08-21T15:52:53Z",
    "lastModifiedBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "PROVISIONING",
    "fqdn": "app.example.com",
    "zoneId": "a363f30c-4c0c-4552-9a07-298d87f219bf"
  },
  "properties": {
    "name": "app",
    "type": "A",
    "content": "1.2.3.4",
    "ttl": 3600,
    "priority": 3600,
    "enabled": true
  }
}

Last updated

Was this helpful?